   Copyright (C) 2000, 2001, 2002, 2003 Neal H. Walfield
<neal@cs.uml.edu>

   Copyright pour la traduction (C) 2003 Hurdfr par Olivier Pe'ningault

   Il est permis de redistribuer des copies de ce manuel tant que la
notification du copyright et cette note de permission sont conserve'es.

   Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

   Permission is granted to copy and distribute modified versions of
this manual under the conditions for verbatim copying, provided also
that the sections entitled "Copying" and "GNU General Public License"
are included exactly as in the original, and provided that the entire
resulting derived work is distributed under the terms of a permission
notice identical to this one.

   Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be stated in a
translation approved by the Free Software Foundation.

Installer le Hurd
*****************

   Ce document veut pouvoir fournir une me'thode relativement simple et
abordable pour re'ussir a` faire fonctionner le Hurd avec aussi peu
d'efforts que possible.

Petit survol
************

   La distribution Debian GNU/Hurd, contrairement aux autres syste`mes
d'exploitation, ne dispose pas d'un joli programme d'installation.  Un
jour ce sera le cas, et peut-e^tre contribuerez-vous a` le cre'er.
D'ici la`, installer le GNU Hurd ne'cessite la pre'sence d'un autre
syste`me d'exploitation, spe'cifiquement un simili-Unix(1). Les
utilisateurs ont signale' l'avoir installe' avec succe`s depuis diverses
saveurs d'Unix, telles GNU/Linux ou les BSDs. Les fonctionnalite's
minimales ne'cessaires du syste`me de bootstrap sont en fait: cre'er un
syste`me de fichiers en ext2; extraire une archive tar dessus;
installer GNU Grub.

   Le GNU Hurd a une nature qui est assez semblable aux autres syste`mes
simili-Unix: apre`s s'e^tre connecte', l'utilisateur se retrouve avec un
shell, et le VFS familier des Unix. Mais me^me si GNU tente d'e^tre
compatible POSIX, il n'est pas un Unix. Le Hurd est construit sur de
nombreux concepts d'Unix, mais il les e'tend soit avec de nouvelles
fonctionnalite's, soit en changeant ce qui a e'te' perc,u comme des
erreurs dans la conception originelle. La diffe'rence la plus
perceptible, ce sont les translateurs, des programmes utilisateur qui
interagissent avec le VFS.  Ces syste`mes de fichiers ne sont pas
localise's dans le noyau, pas plus qu'ils ne doivent e^tre exe'cute's
par root; ils ont juste besoin d'un acce`s aux donne'es statiques, et
au `point de montage'. Une autre diffe'rence est que les processus, au
lieu d'avoir une seule identite' fixe'e lors de leur cre'ation, ont des
jetons d'identification disjoints du processus, i.e. ils peuvent voir
leurs droits e'tendus ou supprime's par une autorite' approprie'e.

   Une grande familiarite' avec l'environnement Unix est une
ne'cessite' pour se sentir a` l'aise avec GNU. Avoir une certaine
mai^trise des outils Debian pourra aussi se re've'ler indispensable
pour configurer et maintenir un syste`me GNU/Hurd.

   Ce guide tente de rendre l'installation du Hurd aussi simple que
possible.  Si il y a des erreurs, elles sont probablement du^es a`
l'auteur (NDT: ou au traducteur !). Merci de les lui signaler, de me^me
pour toute suggestion ou critique; elles sont toujours bienvenues.

   ---------- Footnotes ----------

   (1) Philip Charles a cre'e' un ensemble de CDs (disponibles sur :
`http://www.debian.org/ports/hurd/hurd-cd') qui contient un syste`me
Debian GNU/Linux, qui re'pond a` cette ne'cessite', cependant cela reste
fonctionnellement e'quivalent a` ce qui est pre'sente' ici.

Les choses se'rieuses ou trouver une maison.
********************************************

   Si vous n'avez pas de partition libre ou de disque supple'mentaire,
ceci peut e^tre l'e'tape la plus longue. Dans ce cas, vous devrez
repartitionner votre disque dur. Une solution est d'utiliser l'e'diteur
de partitions GNU, Parted. Il n'imple'mente pas seulement l'e'dition
basique des partitions, mais il permet aussi de retailler ou de
de'placer des partitions. Il peut se te'le'charger sur
:`http://www.gnu.org/software/parted'. Le manuel est assez complet, et
comporte des tutoriels.

   Le Hurd ne supporte qu'une taille de partition de l'ordre de deux
gigaoctets; rien de plus grand ne fonctionnera. Cette limitation est
conse'cutive a` un choix d'imple'mentation fait il y a de nombreuses
anne'es, dans lequel le serveur de syste`me de fichiers devait mapper la
totalite' du syste`me de fichiers en me'moire. Comme la taille de la
me'moire virtuelle disponible sur les architectures ia32 est de
seulement quatre gigaoctets pour les applications, et qu'une grande
partie de celle-ci est re'serve'e pour le code, la pile et le tas, au
final, la plus grande taille de me'moire virtuelle contigu"e est
ge'ne'ralement de l'ordre de deux gigaoctets.Cette limitation devrait
disparaitre bientot.

   Ceci dit, un unique syste`me de fichiers de deux gigaoctets est
largement suffisant pour un syste`me utilisable. Beaucoup, cependant,
pre'fe`rent deux syste`mes de fichiers, un pour la racine, et un pour
`/home'. Cet autre sche'ma est tre`s adapte' pour les de'veloppeurs :
compiler le Hurd peut ne'cessiter beaucoup d'espace.

   Le Hurd supporte de nombreuses extensions par rapport au format ext2
classique. En gros, ce sont les translateurs passifs, et un quatrie`me
ensemble de bits de permission pour les utilisateurs inconnus
(utilisateurs sans identite' et non les autres utilisateurs). Pour
utiliser ces extensions, le proprie'taire de cette partition doit e^tre
`hurd'.  `mke2fs', a` part s'il n'est pas contraint sur la ligne de
commande, va affecter le proprie'taire au nom du syste`me en cours
d'exe'cution.  Comme Hurd va diligemment respecter ceci, il faut e^tre
attentif a` l'initialiser correctement, sinon le Hurd va planter de
manie`re subtile.  Prenez bien garde a` ce que me^me si un syste`me de
fichiers appartient a` un syste`me donne', d'autres syste`mes peuvent y
acce'der; ils seront juste incapables d'utiliser certaines extensions.

   Pour cre'er un syste`me de fichiers, utilisez `mke2fs' et passez-lui
l'option `-o hurd' pour lui signifier que c'est a` Hurd qu'appartient
ce nouveau syste`me de fichiers. Par exemple, disons que la partition
est `/dev/hda2'
      # mke2fs -o hurd /dev/hda2

Le chargeur
***********

   Contrairement a` GNU/Linux et aux BSDs, le Hurd n'a pas d'auto
amorceur; n'importe quel amorceur qui fournit le standard multiboot peut
e^tre utilise' pour charger le Hurd. Pour le moment, il y a un seul
projet qui satisfait ces conditions: Grub, le GRand Unified Boot loader.

   Un mot sur Grub. Contrairement aux amorceurs traditionnels sur x86,
comme LILO, Grub est tre`s puissant. Il dispose d'une interface en ligne
de commande, de boopt, d'un support de terminal simple et d'une
ple'thore d'autres fonctionnalite's. En plus, il peut charger la
plupart des syste`mes. Si vous avez de'ja` boote' un alpha ou une
sparc, vous comprenez ce que Grub peut faire. Cependant, ne soyez pas
craintif, Grub est mieux. Vous l'adorerez. Vous ne reviendrez pas en
arrie`re.

   Pour te'le'charger Grub, allez sur
`http://www.gnu.org/software/grub'.  La`, vous pourrez te'le'charger un
tarball, et une image de disquette. Si vous choisissez de te'le'charger
le tarball, c'est un `configure', `make', `make install'. En prime,
vous avez un magnifique manuel sur le fonctionnement de Grub. Sinon, si
vous te'le'chargez l'image de la disquette, il suffit de la recopier
sur une disquette pour avoir un Grub fonctionnel, par exemple:

      # dd if=grub-boot-image of=/dev/fd0

Vous pourrez toujours installer Grub sur votre disque plus tard.

Installation croise'e
*********************

   La prochaine e'tape est de te'le'charger le syste`me de base sur:
`ftp://alpha.gnu.org/gnu/hurd/contrib/marcus/gnu-latest.tar.gz'.

   Le tarball est configure' pour tout extraire dans le re'pertoire
courant.  Une fois que le syste`me de fichiers est monte', l'archive
peut e^tre extraite. Si l'on conside`re que le syste`me de fichiers est
`/dev/hda2', et le point de montage `/gnu', alors il vous faut
proce'der ainsi :

      # mount -t ext2 /dev/hda2 /gnu
      # cd /gnu
      # tar --same-owner -xvzpf ~/gnu-latest.tar.gz

Booter the Hurd
***************

   Tout est maintenant en place pour booter le Hurd pour la premie`re
fois.  Apre`s avoir ve'rifie' que le disque de boot de Grub est dans le
lecteur, rebootez. Si tout va bien, soit un menu de boot, soit une
ligne de commande doivent apparai^tre. Si c'est le menu qui apparai^t,
tapez `c' pour avoir la ligne de commande.

   Tout d'abord, c'est GNU mach qui doit e^tre charge'. Ceci demande de
connai^tre le type de syste`me de fichiers, ainsi que la localisation
de GNU mach. Grub utilise une nomenclature de partition qui est un peu
diffe'rente de Linux et de Hurd : aussi bien les disques SCSI que IDE
sont appele's `(hdN,M'. `N' est le nume'ro de disque (en partant de
ze'ro) tel que de'compte' par le bios. Ceci e'tant, Grub ne fait aucune
distinction entre les disques IDE et SCSI. `M' identifie la partition
sur le disque. Il faut la` aussi partir de ze'ro. Si cela vous semble
quelque peu confus, soyez tranquille : Grub fournit aussi des aides.

   Pour de'terminer sur quel syste`me de fichiers se trouve un fichier
donne', Grub dispose d'une commande `find'. Lorsque cette commande est
exe'cute'e sans que soit pre'cise' de syste`me de fichiers particulier,
Grub recherche ce fichier dans chaque syste`me de fichiers et indique
où il l'a trouve'. Par exemple, pour rechercher le noyau
`/boot/gnumach.gz':

       grub> find /boot/gnumach.gz
        (hd0,0)

Ici, Grub indique que `/boot/gnumach.gz' est sur `(hd0,0)'.

   Avant de charger le noyau, une option au moins, la partition racine,
doit e^tre entre'e sur la ligne de commande. Ceci va e^tre utilise' par
Hurd lui-me^me (i.e.: non par Grub). Du coup, ceci doit e^tre spe'cifie'
d'une fac,on telle que Hurd va la comprendre.

   GNU Mach comptabilise les disques en partant de ze'ro. Les disques
IDE sont pre'fixe's par `hd', tandis que les disques SCSI le sont par
`sd'. Comme pour linux, les disques sont nume'rote's en fonction de
leur position sur le contro^leur. Ainsi, le premier mai^tre est `hd0'
et le deuxie`me esclave est `hd3'. Les partitions utilisent la me^me
convention que les BSD pour le nume'rotage des partitions et ajoutent
`sM' au nom de disque pour spe'cifier le nom complet. Notez bien que la
base d'indexation des partitions est 1, et non 0. Le nume'ro de
partition est simple a` calculer: ajoutez 1 a` ce qui a e'te' trouve'
par Grub.

   Tant que le Hurd n'a pas e'te' configure', il doit e^tre lance' en
mode mono-utilisateur. Pour cela, il suffit d'ajouter l'option `-s' a`
la ligne de commande du noyau.

   Si l'on conside`re que le premier disque (i.e.: `hd0') est le mai^tre
sur le contro^leur secondaire, alors nous avons:

       grub> kernel (hd0,0)/boot/gnumach.gz root=device:hd2s1 -s
        [Multiboot-elf, ...]

   Ensuite, le serveur du syste`me de fichiers mai^tre et le serveur
`exec' doivent e^tre charge's. Ceci est fait en utilisant les
facilite's de Grub pour charger les modules. Les parame`tres sont la
syntaxe par laquelle le noyau fournit des valeurs importantes aux
serveurs.

       grub> module (hd0,0)/hurd/ext2fs.static \
        --multiboot-command-line=${kernel-command-line} \
        --host-priv-port=${host-port} \
        --device-master-port=${device-port} \
        --exec-server-task=${exec-task} -T typed ${root} \
        $(task-create) $(task-resume)
         [Multiboot-module  0x1c4000, 0x2cfe6a bytes]
       grub> module (hd0,0)/lib/ld.so.1 /hurd/exec $(exec-task=task-create)
         [Multiboot-module  0x494000, 0x27afe bytes]

Une fois que le GNU Hurd est lance', ce processus peut e^tre
automatise' en ajoutant la ligne approprie'e au fichier de
configuration de `/boot/grub/menu.list' de Grub.

   Il est maintenant possible de booter GNU:

     grub> boot

   Restez tranquille, et regardez de'filer les messages. C'est beaucoup
plus important que ne le croient bien des gens: il y a un bug dans GNU
mach qui fait que presser une touche pendant le processus de boot
provoque une panique du noyau.

   Si le Hurd n'arrive pas a` booter, cela peut e^tre du^ aux
interruptions partage'es: GNU mach n'aime pas trop jouer avec elles.
Vous pouvez rechercher leur pre'sence avec `/proc/interrupts' sous
GNU/Linux. De me^me, comme GNU mach ne supporte pas le chargement
dynamique de modules dans le noyau, beaucoup de drivers sont compile's
par de'faut dans le noyau.  Si vous avez de vieux pe'riphe'riques, cela
peut poser un proble`me car alors ceux-ci peuvent re'pondre de manie`re
inopine'e a` une recherche d'un pe'riphe'rique tout autre, et par la
suite causer un crash. Compiler un nouveau noyau peut alors re'soudre
ce proble`me. GNU mach peut facilement e^tre cross-compile'. Si vous
utilisez Debian, tentez d'installer le paquet `gcc-i386-gnu' sous
GNU/Linux.

   Si cela ne vous est d'aucune utilite', voyez les liens a` la fin de
ce document. Sinon, finalement, demandez de l'aide sur une liste de
diffusion approprie'e.

Installation native
*******************

   De`s que vous aurez une invite de shell, et a` chaque fois que vous
booterez en mode mono-utilisateur, vous devrez pre'ciser le type de
terminal:

      # export TERM=mach

   Soyez avertis que <CONTROL-C> et autres ne fonctionnent pas en mode
mono-utilisateur.

   Maintenant, nous pouvons exe'cuter le script `native-install'. Ceci
va configurer des paquets et de'marrer des translateurs importants:

      # ./native-install

Avant que le script ne se termine, il va vous indiquer qu'il devra e^tre
exe'cute' une seconde fois. Suivez les instructions et rebootez en
utilisant la commande `reboot'. A nouveau, bootez en mode
mono-utilisateur, et exe'cutez la commande `./native-install'.

Configuration
*************

Le re'seau
==========

   Pour configurer le re'seau, le translateur pfinet doit e^tre
configure'.  Ceci est fait en utilisant la commande `settrans' qui
permet d'attacher un translateur a` un noeud donne' du syste`me de
fichiers.  Quand les programmes acce`dent a` ce noeud, par exemple par
un appel RPC, le syste`me d'exploitation va automatiquement lancer le
serveur pour re'pondre a` la demande.

      # settrans -fgap /servers/socket/2 /hurd/pfinet -i eth0 \
        -a a.b.c.d -g e.f.g.h -m i.j.k.l

Ici, plusieurs arguments sont passe's a` `settrans'. Les deux premiers,
`fg', obligent tout translateur existant pre'ce'demment a` s'arre`ter.
Les deux suivants, `ap', rendent ce translateur a` la fois actif et
passif. En rendant le translateur actif, nous pourrons apercevoir
imme'diatement toute erreur sur `stderr'. La dernie`re sauvegarde les
arguments dans le noeud, si bien qu'il sera rede'marre' de manie`re
transparente plus tard (i.e.: cela est rendu permanent, me^me apre`s
les reboots). Les options sont suivies du nom du noeud auquel est
attache' le translateur, puis le nom du programme (i.e. le translateur)
a` exe'cuter et les arguments a` lui passer. L'option `-i' est
l'interface sur laquelle `pfinet' va e'couter, `-a' est l'adresse IP,
`-g' est la passerelle a` utiliser et `-m' est le masque de re'seau.

   Assurez-vous d'avoir ajoute' des adresses de serveurs de noms dans
votre fichier `/etc/resolv.conf':

       nameserver 192.168.1.1

   Pour tester la configuration, `ping -c2 gateway'. L'option `-c' est
importante pour limiter le nombre de pings; pour me'moire, <CONTROL-C>
ne marche pas en mode mono-utilisateur.

   DHCP ne marche pas encore sous le Hurd. Ceci est du^ aux limites de
pfinet : il est base' sur le code de la pile TCP/IP de Linux, et ne peut
e'couter sur `0.0.0.0'.

   De l'aide sur `settrans' peut e^tre obtenue en mettant l'option
`--help'. De l'aide sur un translateur spe'cifique peut e^tre obtenue
en l'appelant depuis la ligne de commande avec le me^me argument:

      # /hurd/pfinet --help

Comme il peut y avoir beaucoup de sortie, il est pre'fe'rable de
rediriger ceci vers un paginateur comme `less'.

Autres syste`mes de fichiers
============================

   Ensuite, e'ditez `/etc/fstab' pour y ajouter d'autres syste`mes de
fichiers tels que le swap. C'est _tre`s important_ d'utiliser du swap;
le Hurd va e^tre plus stable d'un ordre de grandeur. Pour information,
le Hurd peut partager une partition de swap de manie`re transparente
avec Linux, mais saura aussi joyeusement paginer sur n'importe quel
pe'riphe'rique, y compris une partition utile, genre celle contenant
votre re'pertoire personnel. Par de'faut, `nano' est le seul e'diteur
installe' dans la distribution de base.

   Voici un exemple de fichier `/etc/fstab':

     # <file system> <mount point>   <type>  <options>  <dump>  <pass>
     /dev/hd2s1      /               ext2    rw         0       1
     /dev/hd2s2      /home           ext2    rw         0       2
     /dev/hd2s3      none            swap    sw         0       0

   N'oubliez pas de cre'er les bons pe'riphe'riques en utilisant la
commande `MAKEDEV':

      # cd /dev
      # ./MAKEDEV hd2s1 hd2s2 hd2s3

   Pour monter un syste`me de fichier NFS, on utilise le translateur
`/hurd/nfs'. Quand on le lance en tant qu'utilisateur, cette commande
utilisera un port au dessus de 1024. Par de'faut, GNU/Linux rejettera
ceci. Pour dire a` GNU/Linux d'accepter les connexions issues d'un port
non privile'gie', il faut ajouter l'option `insecure' a` la ligne
d'export. Voici un exemple de fichier `/etc/export' en conside'rant que
l'adresse IP du client est `192.168.1.2' :

       /home  192.168.1.2(rw,insecure)

Pour monter ceci depuis une machine sous GNU, et en conside'rant que
l'IP du serveur est `192.168.1.1' :

     # settrans -cgap /mount/point /hurd/nfs 192.168.1.1:/home

Rebooter
========

   En fin de compte, rede'marrez en mode multi-utilisateur, i.e. comme
pour le mode mono-utilisateur, mais en o^tant l'option `-s' lorsque
l'on charge le noyau. Pour plus de de'tails, voyez Booter le Hurd.

   Joyeux hacking!

Derniers mots
*************

Documentation
=============

   Pour comprendre le Hurd, commencez avec la page principale du site de
Debian : `http://www.debian.org/ports/hurd/' et sur le site de GNU :
`http://hurd.gnu.org'.

   Envisagez aussi de lire le code et d'e'crire de la documentation.

Le menu de Grub
===============

   Devoir charger le noyau a` la main a` chaque fois peut e^tre vraiment
fastidieux. Editez le fichier `/boot/grub/menu.lst' et modifiez-le
comme il faut; booter deviendra plus rapide et plus facile.

Ajouter des pe'riphe'riques.
============================

   Par de'faut, seuls tre`s peu de pe'riphe'riques sont pre'sents dans
le re'pertoire `/dev'. Il faut lancer le script `MAKEDEV' pour cre'er
tous les noeuds de pe'riphe'riques ne'cessaires.

Installer plus de paquets
=========================

   Il y a de nombreuses fac,ons d'installer des paquets. Te'le'charger
et utiliser la `dpkg -i' fonctionne, mais pre'sente beaucoup
d'inconve'nients. Le moyen le plus simple est d'utiliser la commande
`apt-get'. E'ditez le fichier `/etc/apt/sources.list' et ajoutez les
deux entre'es suivantes :

     deb ftp://alpha.gnu.org/gnu/hurd/debian unstable main
     deb ftp://ftp.debian.org/debian unstable main

`ftp://alpha.gnu.org' contient des paquets qui ont e'te' hacke' ou dont
les patches n'ont pas encore e'te' inte'gre's.  Pour utiliser un
mirroir debian local, voyez `http://www.debian.org/distrib/ftplist'.

   Si GNU Mach ne reconnait pas votre carte re'seau, ou si vous
utilisez un modem, le seul moyen de mettre a` jour sera de
te'le'charger les paquets puis de les copier sur votre syste`me GNU. Le
moyen le plus simple est alors d'utiliser apt off-line. Voyez
`/usr/share/doc/apt/offline' pour plus d'informations.

XFree86
=======

   XFree86 a e'te' porte', et toutes les cartes qu'il est capable de
faire marcher sans support noyau devraient fonctionner.

   D'abord, mettez en place le translateur du clavier :

      # cd /dev
      # ./MAKEDEV kbd

   Ensuite, le translateur de la souris. Pour une souris sur port
se'rie, remplacez `com0' par le port de communication approprie':

      # settrans /dev/mouse /hurd/mouse --device=com0 --protocol=microsoft

Ve'rifiez bien que `/dev/com0' existe. Si ce n'est le cas, cre'ez-le en
utilisant `MAKEDEV' comme d'habitude.

   PS/2 ne requiert pas de noeud de pe'riphe'rique. Il suffit de faire :

      # settrans /dev/mouse /hurd/mouse --protocol=ps/2

   D'autres souris peuvent e^tre utilise'es ; exe'cutez `/hurd/mouse'
avec l'option `--help' pour plus de de'tails.

   Vous aurez besoin de plusieurs paquets relatifs a` X.
x-window-system-core, rxvt et twm ou fvwm sont un bon de'but.

   Debconf peut e^tre utilise' pour configurer XFree86, cependant, il
n'est pas compatible avec le Hurd et le fichier de configuration devra
e^tre modifie'. Il faut changer la section pointeur en:

     Section "Pointer"
       Protocol "osmouse"
       Device "/dev/mouse"
     EndSection

`Emulate3Buttons' peut e^tre ajoute' de fac,on optionnelle. Rien
d'autre ne marchera.

   GNU n'utilise pas ld.so.conf. Aussi, comme `/X11R6/lib' n'est pas
dans le chemin de recherche des librairies par de'faut, il faut ajouter
soit dans `/etc/profile' soit dans le fichier `.profile' de chaque
utilisateur:

     export LD_LIBRARY_PATH=/X11R6/lib:$LD_LIBRARY_PATH

   Finalement, exe'cutez `startx'.

   Il y a plusieurs choses au sujet desquelles il faut e^tre averti.
`xterm' ne fonctionne pas correctement car il SETGID (et en plus, il ne
prend pas en compte LD_LIBRARY_PATH et e'choue en tentant de charger la
librairie partage'e approprie'e) ; essayez `rxvt'.  `update-menu' n'a
pas encore e'te' porte'. Du coup, vous n'aurez pas de sympatiques menus
Debian. Cependant, une imple'mentation des `pthreads' existe, et tous
les paquets qui en de'pendent n'ont pas encore e'te' porte's :
n'espe'rez pas que Gnome ou KDE fonctionnent.

Terminaux virtuels
==================

   Le Hurd n'a pas de terminaux virtuels, mais c'est en de'veloppement.
Utilisez le paquet `screen' en attendant.

Listes de diffusion
===================

  1. <debian-hurd@debian.org>  Discutions sur le Hurd tant qu'elles
     concernent Debian.
       1. Archive: `http://lists.debian.org/#debian-hurd'

  2. <web-hurd@gnu.org>  De'veloppement des pages web du Hurd sur
     `http://hurd.gnu.org'.
       1. Archive: `http://mail.gnu.org/pipermail/web-hurd/'

  3. <help-hurd@gnu.org>  Aide sur le Hurd en ge'ne'ral.
       1. Archive: `http://mail.gnu.org/pipermail/help-hurd/'

  4. <bug-hurd@gnu.org> Signalements de bugs et de'veloppement en
     ge'ne'ral. Envoyez vos patches ici.
       1. Archive: `http://mail.gnu.org/pipermail/bug-hurd/'

Autres sources
==============

   Le Wiki Hurd, `http://hurd.gnufans.org/bin/view/Hurd/WebHome',
re'pond aux proble`mes courants auxquels les nouveaux utilisateurs sont
confronte's.

Travaux re'fe'rence's
*********************

   "The Easy Guide to Installing Hurd on a Linux Box" Copyright (C)
1999 Matthew Vernon <matthew@debian.org>.
`http://www.pick.ucam.org/~mcv21/hurd.html'